Subject: bug#15375: closed (Re: bug#15375: 24.3.50; Elisp manual: mention what units are used for window margin functions)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 14 Sep 2013 16:35:03 +0000

Your bug report

#15375: 24.3.50; Elisp manual: mention what units are used for window margin functions

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15375: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15375
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15375: 24.3.50; Elisp manual: mention what units are used for window margin functions
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Sat, 14 Sep 2013 19:33:42 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 14 Sep 2013 09:26:42 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> 1. Move the "(a.k.a.@: ``column'')" to the first occurrence of "character
> cell".  I, for one, did not know the latter term, and wondered about it
> until I got to that aka.
> 
> 2. You can remove this part, as it is implied: "; if none of the two margins
> exist, the function returns @code{(nil)}."  (It does not hurt, but in that
> case please change "none" to "neither", to be clearer.)
> 
> 3. You should add a comma before "and" in "The argument @var{left} controls
> the left margin and @var{right} controls the right margin (default @code{0})."
>                ,
> Alternatively, you can use ";" instead of ", and", or split it into two
> sentences.

Done.

Subject: 24.3.50; Elisp manual: mention what units are used for window margin functions
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Fri, 13 Sep 2013 15:17:31 -0700 (PDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

(elisp) `Display Margins` talks a lot about window margins, but AFAICT
it never once says which units are used for the functions and variables
described there.  I'm guessing the unit is `frame-char-width', but Emacs
should tell us explicitly here.

Moreover, we don't even tell users what a nil value means, as opposed
to a whole number.

For example, right now, `M-: (window-margins)' returns `(nil)' for me,
which corresponds to both LEFT and RIGHT being nil.  What does a nil
value mean for each of these?

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-08-31 on ODIEONE
Bzr revision: 114088 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --prefix=/c/Devel/emacs/binary --enable-checking=yes,glyphs
 'CFLAGS=-O0 -g3' LDFLAGS=-Lc:/Devel/emacs/lib
 CPPFLAGS=-Ic:/Devel/emacs/include'